Bug 180067 - Review Request: mod_cband - Bandwidth limiting for Apache vhosts
Review Request: mod_cband - Bandwidth limiting for Apache vhosts
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-02-05 05:55 EST by Michael Fleming
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-19 02:41:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Fleming 2006-02-05 05:55:45 EST
Spec Name or Url: http://www.enlartenment.com/extras/mod_cband.spec
SRPM Name or Url: http://www.enlartenment.com/extras/mod_cband-0.9.7.2-1.src.rpm
Description:

mod_cband is an Apache 2 module provided to solve the problem of limiting
virtualhosts bandwidth usage. When the configured virtualhost's transfer limit
is exceeded, mod_cband will redirect all further requests to a location
specified in the configuration file.
Comment 1 Michael Fleming 2006-03-05 04:06:11 EST
Ping - anyone want to review this?

I'd have thought *someone* was interested in a vhost bandwidth management package. 
Any takers?

*sound of crickets*

:-)
Comment 2 Aurelien Bompard 2006-03-05 05:59:38 EST
Needs work:
* Source mod-cband-0.9.7.2.tgz is different from upstream (wiki: QAChecklist item 2)
* I think you should install an example config file into
/etc/httpd/conf.d/mod-cband.conf (and keep the three examples in doc)
Comment 3 Michael Fleming 2006-03-07 07:43:29 EST
Spec Name or Url: http://www.enlartenment.com/extras/mod_cband.spec
SRPM Name or Url: http://www.enlartenment.com/extras/mod_cband-0.9.7.2-2.src.rpm

Damnit, the upstream updated the tarball without incrementing the release. I
hate that. Inspected differences (mostly int -> unsigned int changes) and used
that in the above SRPM.

Example config file added (mostly comments, borrowed some simple examples from
the website) and installed in Apache's conf.d as mod_cband.conf (to keep parity
with the package name.)
Comment 4 Aurelien Bompard 2006-03-12 17:09:06 EST
* /etc/httpd/conf.d/mod_cband.conf should be set as %config(noreplace)
* cband-status access should be limited to localhost. You can add this to the
conf file :
Order Deny,Allow
Deny from all
Allow from 127.0.0.1
Comment 5 Michael Fleming 2006-03-16 06:04:42 EST
New SRPM: http://www.enlartenment.com/extras/mod_cband-0.9.7.2-3.src.rpm
(Spec in the same place)

Above suggestions implemented.
Comment 6 Aurelien Bompard 2006-03-16 08:23:25 EST
Review for release 3:
* RPM name is OK
* Source mod-cband-0.9.7.2.tgz is the same as upstream
* This is the latest version
* Builds fine in mock
* File list looks OK
* Works fine
APPROVED

Note You need to log in before you can comment on or make changes to this bug.